import { Socket, Server } from "socket.io";
import {TSocket} from "../utilities/Types";
import CharacterRepository from "../repositories/CharacterRepository";
import {Character} from "@prisma/client";

type SocketResponseT = {
    character_id: number
}

export default function (socket: TSocket, io: Server) {
    socket.on('character:connect', async (data: SocketResponseT) => {
        try {
            socket.character = await CharacterRepository.getById(data.character_id) as Character;
            socket.emit('character:connect', socket.character)
        } catch (error: any) {
            console.log('character:connect error', error);
        }
    });
}